- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.ListWorkdeskLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks/list#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarUsers.workdeskLinks.list

Lists workdesk links for a specific user. Supports pagination and ordering by creation time or display name, allowing users to browse through their personal bookmarks for quick access to external resources.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/workdeskLinks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list WorkdeskLinks for. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarUsers/{legacySoarUser}/workdeskLinks |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of WorkdeskLinks to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `ListWorkdeskLink` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListWorkdeskLink` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied over multiple WorkdeskLink fields. |
| `orderBy` | `string` Optional. Configures ordering of WorkdeskLinks in the response. If not specified, WorkdeskLinks are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. For example: "createTime desc, updateTime" Supported fields: \* `order` \* `displayName` |

### Request body

The request body must be empty.

### Response body

Response message for ListWorkdeskLink.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "workdeskLinks": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks#WorkdeskLink`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `workdeskLinks[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers.workdeskLinks#WorkdeskLink`)`` The list of WorkdeskLinks. |
| `nextPageToken` | `string` A page token, received from a previous `workdeskLinks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `workdeskLinks.list` must match the call that provided the page token. |
| `totalSize` | `integer` Total number of WorkdeskLinks. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.workdeskLinks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).